---
setup:
- skip:
    features:
    - "headers"
    - "allowed_warnings_regex"
---
Transport stats:
- skip:
    features:
    - "arbitrary_key"
- do:
    nodes.info: {}
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- set:
    nodes._arbitrary_key_: "node_id"
- do:
    nodes.stats:
      metric:
      - "transport"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- is_false: "nodes.$node_id.store"
- is_true: "nodes.$node_id.transport"
- gte:
    nodes.$node_id.transport.server_open: 0
- gte:
    nodes.$node_id.transport.total_outbound_connections: 0
- gte:
    nodes.$node_id.transport.rx_count: 0
- gte:
    nodes.$node_id.transport.tx_count: 0
- gte:
    nodes.$node_id.transport.rx_size_in_bytes: 0
- gte:
    nodes.$node_id.transport.tx_size_in_bytes: 0
---
Transport handling time histogram:
- requires:
    cluster_features:
    - "gte_v8.1.0"
    reason: "handling_time_histograms were added in 8.1"
    test_runner_features:
    - "arbitrary_key"
- do:
    nodes.info: {}
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- set:
    nodes._arbitrary_key_: "node_id"
- do:
    nodes.stats:
      metric:
      - "transport"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- is_true: "nodes.$node_id.transport.inbound_handling_time_histogram"
- is_true: "nodes.$node_id.transport.outbound_handling_time_histogram"
